<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bTasas,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

	<HTML>
	


<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<title><%= resTit.getString("titVehTasas")%></title>
		<%
		String matricula=request.getParameter("Matricula");
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";

		      }
		%>
	
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
		     	 var docu=document.formTasas;
		     	 var concepto=docu.Concepto.options[docu.Concepto.selectedIndex].value 
		     	 if (docu.Concepto.value == ""){
		        	alert(dameAlerta(idioma, 143));
                    docu.Concepto.focus();}
                 else if ((concepto == '<%=m05bConstantes.TAS_OBLIG%>') && (docu.CVFiscales.value=="")){
                   	alert(dameAlerta(idioma, 144));
                    docu.CVFiscales.select();
                    docu.CVFiscales.focus();}
			    else if ((docu.Fecha.value!="") &&(!(comparaFechas(parent.document.formVehiculos.FMatriculacion.value,docu.Fecha.value)))){
		            alert(dameAlerta(idioma, 145));
                    docu.Fecha.select();
                    docu.Fecha.focus();}
		     	else{
		     		if(existeCaracter(docu.Observacion.value,"\'")||existeCaracter(docu.Observacion.value,'\"')){
			 			alert(dameAlerta(idioma, 1));
			 			docu.Observacion.focus();
			 			return;
			 		}
		    	    document.formTasas.Codigo.disabled=false;
                    formatearFecha(document.formTasas.Fecha);  				
		            document.formTasas.action="m05bGrabarTasasServlet?Codigo=" + codigo + "&Accion=" + accion;
		            document.formTasas.submit();
		        }
		}
		</SCRIPT>
</head>
<BODY   style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	String codigo;
	codigo = request.getParameter("Codigo");
%>  
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_DET_GESTION_TASAS%>?Matricula=<%=matricula%>&Codigo=<%=codigo%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_DET_GESTION_TASAS%>";	 
</script>			

<%@include file="m05bVehiculosFijo.inc"%>			

			
			 
<FORM NAME="formTasas" METHOD="POST">
		  <% m05bFileLog miLog = new m05bFileLog(); %>
	
     <%		 String mensaje=request.getParameter("Mensaje");
		     mensaje = mensaje == null ? "":mensaje;
			 
			 if (mensaje.equals(m05bConstantes.MSG_EXISTETASA)) {
				     outMsg.println("<script>alert(dameAlerta(idioma, 146));</script>");
			 } else if (mensaje.equals("true")) {
				    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
			 }
			 outMsg.close();
	 %>
	
  
		<%

		
        conexion = miConexion.getConnection();
		String sql = "";
		String importe="";
		String observ="";
		String accion="";
		String municipio="";
		String concepto="";
		String sMatricula="";
		String sCV="";
		String sFecha="";
		m05bCombo miCombo2 = new m05bCombo();
		m05bTasas tasas = null;
		StringBuffer sql2 = new StringBuffer();
		sql2.append("SELECT ").append(m05bConstantes.COL_32_CODIGO);
		sql2.append(" FROM ").append(m05bConstantes.TAB_TASAS);
		sql2.append(" ORDER BY ").append(m05bConstantes.COL_32_CODIGO).append(" DESC");
	try {		
		if ( (codigo==null) || (codigo.equals("")) ) {
			codigo= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bTasas");
		    try {

		           //m05bbBeginSelect(sql2.toString());
                   //conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
       	  	       pstmt2 = conexion.prepareStatement(sql2.toString());
		           int cod=0;
		           rs2 = pstmt2.executeQuery();
		           if  (rs2.next() == true){
			            codigo=rs2.getString(m05bConstantes.COL_32_CODIGO);
		           }
		           cod=Integer.parseInt(codigo);
		           cod++;
		           codigo=""+cod;

		    } catch (Exception SQLException){
		        miLog.addTraza(SQLException);
		    } finally {
		        //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				//if (conexion != null)
					//conexion.close();
		        
			}
		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			tasas = (m05bTasas)session.getAttribute("m05bTasas");
		}

		if (tasas == null){
			tasas = new m05bTasas();
			session.setAttribute("m05bTasas",tasas);
		}
		sFecha=tasas.getTas_fecha();
		if (sFecha==null || sFecha.equals(""))
		    sFecha="";
		else
		sFecha=comun.Mes(sFecha,campoTexto3);
		importe=tasas.getTas_importe();
		if (importe==null || importe.equals("NULL") || importe.equals("0"))
		     importe="";
		observ=tasas.getTas_observacion();
		if (observ==null || observ.equals("NULL"))
		    observ="";
		sMatricula=tasas.getTas_matricula();
		if (sMatricula==null || sMatricula.equals("NULL"))
		    sMatricula="";
		
		municipio= tasas.getTas_municipio();
		if (municipio==null || municipio.equals("NULL"))
		    municipio="";
         concepto=tasas.getTas_concepto();	
         miLog.addTraza("BEGO" , "m05bTasas" , "sql: " + concepto, m05bConstantes.LOG_NIVEL_BAJO);
		if (concepto==null || concepto.equals("NULL")){
		    concepto="";}
		else if (concepto.equals(m05bConstantes.TAS_OBLIG)){
		    try {
             	   sql="SELECT "+m05bConstantes.COL_34_CV + " FROM " + m05bConstantes.TAB_VEHICULOS+
			       " WHERE " + m05bConstantes.COL_34_MATRICULA + "='" + sMatricula + "'"; 
		           miLog.addTraza("BEGO" , "m05bTasas" , "sql: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
       	  	       pstmt2 = conexion.prepareStatement(sql);
		           rs2 = pstmt2.executeQuery();
		           if  (rs2.next()){
			            sCV=rs2.getString(m05bConstantes.COL_34_CV);
		                if (sCV==null || sCV.equals("NULL")){
		                    sCV="";}
			            
		                miLog.addTraza("BEGO" , "m05bTasas" , "sql: " + sCV, m05bConstantes.LOG_NIVEL_BAJO);
			            
		           }
		    } catch (Exception SQLException){
		        miLog.addTraza(SQLException);
		    } finally {
		        //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
			}
	           
		}

		    } catch (Exception SQLException){
		        miLog.addTraza(SQLException);
		    } finally {
		        //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		        
			}		
		%>
     <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1")) ) {%>
       <TABLE class="buscar" width="100%">
		    <tr>
		       <td  align="right"  width="50%"> 
		     <% if	(accion.equals(m05bConstantes.ACC_ACTUALIZAR)){%>
		        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/eliminar.gif"/--> 
                <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />			      					  		        
		     <%}%>
		      <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="/parquemovil/images/grabar.gif"/> </td-->
              <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>','<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  		        		      
		</tr>
		  </TABLE>
     <%}%>		
		
		
		  <TABLE class="buscar">
		    <tr>
		      <td width="10%" valign="top" align="left" class="inputFieldTitle" ><%= res.getString("etCInterno")%></td>
		      <td width="15%" valign="top" align="left" class="inputFieldTitle" colspan=2><%= res.getString("etFecha")%></td>
		      <td width="46%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etConcepto")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCaballosFiscales")%></td>
		      <!--td  valign="top" align="left" class="searchTitle">Importe</td-->
		    </tr>
		    <tr>
             <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="10" maxlength="10" readonly/>	</td>			  
			 
			 <td align="left" colspan="2">
			 	<table width="100%" cellpadding="0" cellspacing="0">
			 		<tr>
			 			 <td align="left" width="60%"><INPUT class="inputField" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;"></td>
		    			 <td align="left" width="40%"><a href='#' name='anchorFecha'  onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border ='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></a>&nbsp;&nbsp;&nbsp;</td>
			 		</tr>
			 	</table>
			 </td>
		     <td align="left"> 
		     <select name="Concepto" class="inputFieldOblig" onchange="JavaScript:blur();" onblur="javascript:fncHabilitarCaballos(Concepto.options[Concepto.selectedIndex].value);borrar_buffer();document.formTasas.Concepto.focus=false;" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this,this);}" onclick="borrar_buffer();document.formTasas.Concepto.focus=false;">
		       <option type=submit size="25"></option>
		        <%=miCombo2.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")",
			    m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_CONCEPTOSTASAS, concepto)%>
		     </select>
		       </td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="CVFiscales"  size="6" maxlength="6" value="<%=sCV%>" onblur="javascript:formatNumeroDecimal(this,4,2);return false;"/> </td>
		      <!--td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" size="9" maxlength="7" onblur="javascript: formatNumeroDecimal(this,4,2);return false;"/></td-->
		    </tr>
		  </table>
		  <TABLE class="buscar">
            <tr>
		      <td width="10%" valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
  		      <td width="61%" align="left" valign="top" colspan="2" class="inputFieldTitle"><%= res.getString("etObservacion")%></td>
    	      <td align="left" colspan="2" valign="top" class="inputFieldTitle" ><%= res.getString("etMunicipio")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" size="9" maxlength="7" onblur="javascript: formatNumeroDecimal(this,4,2);return false;"/></td>
		      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="Observacion" VALUE="<%=observ%>" size="70" maxlength="200"/></td>
              <td align="left" colspan="2"> <select name="Municipio" class=inputField onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer();document.formTasas.Municipio.focus=false;">
		                    <option type=submit size="25"></option>
		                    <%=miCombo2.popCombo( m05bConstantes.COL_24_CODIGO, m05bConstantes.COL_24_DESC,
		        					m05bConstantes.TAB_POBLACIONES, m05bConstantes.COL_24_CODIGO, m05bConstantes.COL_24_CODIGO, municipio)%>
		                    </select>
		      </td>
		    </tr>		    
		   </TABLE>
		<input type="hidden" name="Matricula" value="<%=matricula%>">
       <INPUT class="inputField" TYPE="HIDDEN" NAME="Codigo" VALUE="<%=codigo%>" size="10" maxlength="10" readonly/>				  
       <script>
            var TipoTasa=document.formTasas.Concepto.options[document.formTasas.Concepto.selectedIndex].value;
            if ( TipoTasa != '<%=m05bConstantes.TAS_OBLIG%>'){
                        document.formTasas.CVFiscales.disabled=true;
            }
       </script>
    <% if (situacion.equals("B")) {%>
    			<SCRIPT>
                      document.formTasas.Codigo.disabled=true;
                      document.formTasas.Fecha.disabled=true;
                      document.formTasas.Concepto.disabled=true;
                      document.formTasas.Importe.disabled=true;
                      document.formTasas.Observacion.disabled=true;
                      document.formTasas.Municipio.disabled=true;
                      document.formTasas.CVFiscales.disabled=true;
                      parent.document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["calendario1"].border='0';   
                      
                </SCRIPT>
     <%}%>
<script>
                      formatearFecha(document.formTasas.Fecha);  				
                      formatNumeroDecimal(document.formTasas.Importe,4,2);
                      formatNumeroDecimal(document.formTasas.CVFiscales,3,2);
                      
</script>	
	
</FORM>
			
		</td>
	</tr>
	<tr>
							
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabTasa=document.getElementById("tabTasa");
   
   tabTasa.style.backgroundColor="#000078"	;
</SCRIPT>
<script>			
            function fncHabilitarCaballos(valor) {
		    	var docu=document.formTasas;
		    	var caballos= "<%=sCV%>"
		    	if (valor == '<%=m05bConstantes.TAS_OBLIG%>'){
                        docu.CVFiscales.disabled=false;
                        if (docu.CVFiscales.value=="") {
                        docu.CVFiscales.value=caballos;
                        formatNumeroDecimal(docu.CVFiscales,4,2);}                        
                        
                       }
		    	else {
                        docu.CVFiscales.disabled=true;
                        docu.CVFiscales.value="";}
              }  	
   </script>						
	
</BODY>
</HTML>